Class | ::HTTPResponse
In: | lib/rbot/core/utils/httputil.rb
Parent: | Object

### Methods

body_charset body_to_utf cooked_body decompress_body partial_body

### External Aliases

body | -> | raw_body

### Attributes

no_cache | [RW] |

### Public Instance methods

body_charset(str=self.raw_body)
body_to_utf(str)
cooked_body()
decompress_body(str)
partial_body(size=0) {|self.body_to_utf(self.decompress_body(partial)) if block_given?| ...}

Read chunks from the body until we have at least size bytes, yielding the partial text at each chunk. Return the partial body.

[Validate]